2019-12-14 00:21 EST


View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0002952FSSCPdockingpublic2013-11-14 22:31
Reporterniffiwan 
Assigned ToGoober5000 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.7.1 
Target VersionFixed in Version3.7.1 
Summary0002952: dock lists are not cleared between missions
DescriptionPretty much as the summary says.
In a release build, you can get cool stuff like the attached screenshot (from Surrender Belisarius!)
In a debug build, FSO hits an Assertion:
ASSERTION FAILED: "dock_list == NULL" at object/object.cpp:155 dock_list should have been cleared already!

It may also be responsible for some recently reported BluePlanet issues:
http://www.hard-light.net/forums/index.php?topic=86058.0
http://www.hard-light.net/forums/index.php?topic=86001.msg1719055#msg1719055
Steps To ReproduceStart any mission
Call in a support ship
When it is docked with you, end the mission (escape - quit)
Start any new mission
Additional InformationI believe this was introduced in 9995.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0015406

Goober5000 (administrator)

Okay, I added a method to clear out docking instance information when obj_delete is called. The methods are called again in object::clear, so this should take care of all possibilities.

~0015407

niffiwan (developer)

that looks like its solved the issue. I'll follow up with Lykurgos88 on the forum to confirm, but you may as well close it for now. I can always reopen if required.

~0015408

Goober5000 (administrator)

Super. :)
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2013-11-13 04:20 niffiwan New Issue
2013-11-13 04:20 niffiwan Status new => assigned
2013-11-13 04:20 niffiwan Assigned To => Goober5000
2013-11-13 04:20 niffiwan File Added: docked_with_WHAT.png
2013-11-13 19:20 Goober5000 Changeset attached => fs2open trunk r10058
2013-11-13 19:21 Goober5000 Note Added: 0015406
2013-11-14 03:21 niffiwan Note Added: 0015407
2013-11-14 22:31 Goober5000 Note Added: 0015408
2013-11-14 22:31 Goober5000 Status assigned => resolved
2013-11-14 22:31 Goober5000 Resolution open => fixed
2013-11-14 22:31 Goober5000 Fixed in Version => 3.7.1
+Issue History